package com.tutego.insel.game.vj;

class OpenOperation implements GameOperation
{
  static OpenOperation instace = new OpenOperation();

  @Override public String getName()
  {
    return "öffnet";
  }

  @Override public String apply( GameObject go1, GameObject go2 )
  {
    if ( go1 instanceof Key && go2 instanceof Door )
    {
      ((Door) go2).isOpen = true;

      return "Schlüssel öffnete Tür.";
    }

    return "Konnte Objekt nicht öffnen!";
  }
}